include mixins

doctype html
html(lang="en")
    +head
    body.text-center
        .cover-container.d-flex.p-4.mx-auto.flex-column  
            +navbar('notas')
            - var error = error
            +error(error)
            - var notas = notas
            hr
    
            .row
                each note in notas
                    .col-md-3
                        .card.text-dark(style='max-width: 18rem;')                                        
                            .card-header
                                h4.card-title= note.title
                                img.img-thumbnail(src=`/assets/uploads/${note.ref}` alt='ref')
                                p.card-text= 'Autor: ' + note.user
                                p
                                a(href=`/editArticulo/${note._id}` class="btn btn-info") Editar
                                p
                                form(action=`/deleteArticulo/${note._id}?_method=DELETE` method='POST')
                                    input(type='hidden' name='_method' value='DELETE')
                                    button.btn.btn-danger(type='submit') Eliminar

            p
            center
             
             button.btn.btn-primary(type='button' data-toggle='modal' data-target='#staticBackdrop' style='max-width: 25rem;')
                | Añadir
            // Modal
            #staticBackdrop.modal.fade(data-backdrop='static' data-keyboard='false' tabindex='-1' role='dialog' aria-labelledby='staticBackdropLabel' aria-hidden='true')
                .modal-dialog
                    .modal-content.bg-secondary
                        .modal-header
                            h5#staticBackdropLabel.modal-title.text-primary Nuevo Articulo
                            button.close(type='button' data-dismiss='modal' aria-label='Close')
                                span(aria-hidden='true') &times;
                        form.needs-validation.form-signin(method='POST' action='/newArticulo' enctype='multipart/form-data')
                            .modal-body
                                label.text-dark(for='title') Titulo:
                                input#title.form-control(type='text' name='titulo' required='' )
                                hr
                                label.text-dark(for='imgFile') Imagen
                                input#imgFile.form-control-file.text-dark(type='file' name='ref' required='')
                                hr
                                - var values= usersName
                                label.text-dark(for='aaa') Autor:
                                select#aaa.form-control(name='user')
                                    option Anonimo
                                    each val in values
                                        option= val.nombre

                                hr
                            .modal-footer
                                button.btn.btn-danger(type='button' data-dismiss='modal') Cancelar
                                button.btn.btn-success(type='submit') Crear
            

        
